<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Header Demo</title>
  <meta name="description" content="Demo app for Custom Element based headers">
  <style type="text/css">
    html, body {
      margin: 0;
      padding: 0;
      font-size: 10px;
      background-color: #fff;
    }
    body {
      background: none;
      overflow: hidden;
      height: 100%;
    }
  </style>
  <script src="../../../js/component_utils.js"></script>
  <script>window.GaiaHeaderBaseurl = '../';</script>
  <script src="../script.js" type="text/javascript"></script>
  <script>window.GaiaButtonsBaseurl = '../../gaia_buttons/';</script>
  <script src="../../gaia_buttons/script.js" type="text/javascript"></script>
</head>

<body role="application">
  <gaia-header id="header1">
    <h1>Main header</h1>
    <button id="edit1">Edit mode</button>
  </gaia-header>

  <gaia-header id="header2" action="close" skin="organic" transition="slide" hide>
    <h1>Edit mode</h1>
    <button id="done2">done</button>
  </gaia-header>

  <gaia-buttons id="buttons" transition="slide" hidden>
    <button>Deselect all</button>
    <button>Select none</button>
  </gaia-buttons>

  <script>
    window.onload = function() {
      document.getElementById('edit1').addEventListener('click', function() {
        document.getElementById('header2').removeAttribute('hidden');
        document.getElementById('buttons').removeAttribute('hidden');
      });
      document.getElementById('header2').addEventListener('action', function(e) {
        document.getElementById('header2').setAttribute('hidden', '');
        document.getElementById('buttons').setAttribute('hidden', '');
      });
      document.getElementById('done2').addEventListener('click', function() {
        document.getElementById('header2').setAttribute('hidden', '');
        document.getElementById('buttons').setAttribute('hidden', '');
      });
    };
  </script>
</body>
</html>
